package com.supServer.project.entity;

import java.util.Date;

public class BizCompanyInfo {

    /**
     * 主键id
     */
    private Integer id;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 企业名称
     */
    private String companyName;
    /**
     * 统一社会信用代码
     */
    private String creditCode;
    /**
     * 法人
     */
    private String legalPerson;
    /**
     * 注册资本
     */
    private Double registeredCapital;
    /**
     * 成立日期
     */
    private Date registeredDate;
    /**
     * 注册地址
     */
    private String registeredAddress;
    /**
     * 办公地址
     */
    private String addressDetail;
    /**
     * 企业简介
     */
    private String briefing;
    /**
     * 营业执照地址
     */
    private String licenseUrl;
    /**
     * 身份证地址
     */
    private String cardUrl;
    /**
     * 供应商类型
     */
    private Integer catId;
    /**
     * 承诺函
     */
    private String fileUrl;
    /**
     * 承诺函文件名称
     */
    private String fileName;
    /**
     * 来源0、注册  1、后台添加  2、批量导入
     */
    private String source;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 联系人
     */
    private String contacts;
    /**
     * 手机号
     */
    private String phone;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public Double getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(Double registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    public Date getRegisteredDate() {
        return registeredDate;
    }

    public void setRegisteredDate(Date registeredDate) {
        this.registeredDate = registeredDate;
    }

    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getBriefing() {
        return briefing;
    }

    public void setBriefing(String briefing) {
        this.briefing = briefing;
    }

    public String getLicenseUrl() {
        return licenseUrl;
    }

    public void setLicenseUrl(String licenseUrl) {
        this.licenseUrl = licenseUrl;
    }

    public String getCardUrl() {
        return cardUrl;
    }

    public void setCardUrl(String cardUrl) {
        this.cardUrl = cardUrl;
    }

    public Integer getCatId() {
        return catId;
    }

    public void setCatId(Integer catId) {
        this.catId = catId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Override
    public String toString() {
        return "BizCompanyInfo{" +
                "id=" + id +
                ", userId='" + userId + '\'' +
                ", companyName='" + companyName + '\'' +
                ", creditCode='" + creditCode + '\'' +
                ", legalPerson='" + legalPerson + '\'' +
                ", registeredCapital=" + registeredCapital +
                ", registeredDate=" + registeredDate +
                ", registeredAddress='" + registeredAddress + '\'' +
                ", addressDetail='" + addressDetail + '\'' +
                ", briefing='" + briefing + '\'' +
                ", licenseUrl='" + licenseUrl + '\'' +
                ", cardUrl='" + cardUrl + '\'' +
                ", catId='" + catId + '\'' +
                ", fileUrl='" + fileUrl + '\'' +
                ", fileName='" + fileName + '\'' +
                ", source='" + source + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", contacts='" + contacts + '\'' +
                ", phone='" + phone + '\'' +
                '}';
    }
}
